      PROGRAM no_pass
      IMPLICIT NONE
      INTEGER x
      x = 10                            ! 主プログラム内で定義された局所変数 x
      CALL add_one
      WRITE(*,*) x
      END
C
      SUBROUTINE add_one
*     変数名xは受け渡されていない
      IMPLICIT NONE
      INTEGER x
      x = x + 1                         ! サブルーチン内で定義された局所変数 x
      END
